Skip to main content
Back to API List Use this API to delete an active voice campaign for a given stream ID and campaign ID.
MethodDELETE
Endpointhttps://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/{{campaignId}}?accountId={{accountId}}&campaignType=voice
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBot ID or Stream ID. You can get it from the general settings page.string, required
campaignIdUnique identifier of the campaign to trigger.string, required

Query Parameter

ParameterDescriptionType
campaignTypeType of Campaign. Use "voice"string, required

Sample Request

curl --location --request DELETE 'https://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/{{campaignId}}?accountId={{accountId}}&campaignType=voice' \
--header 'auth: <token>' \
--header 'accountid: 67777ce93e25326494exxxxx' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14bxxxxx'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.string, required
iidThe Application Id.string, required
accountIdThe Account Id.string, required

Sample Response

{
    "status": "success",
    "message": "Campaign Service Renewal Outreach Campaign61 deleted successfully",
    "data": {
        "_id": "cd-a1e45a7-e8ba-4e97-a339-476ebc7xxxxx",
        "name": "Service Renewal Outreach Campaign61",
        "lname": "service renewal outreach campaign61",
        "description": "Connects customers with live agents to assist with upcoming service renewals using progressive dialing. Ensures personalized support and improved engagement.",
        "dncLists": {
            "id": "cl-68b802a-2b99-4245-8eea-6d322a8xxxxx",
            "name": "DNC CL Dec 4"
        },
        "priority": "5",
        "dialingMode": "Progressive",
        "dialingStrategy": {
            "callerId": {
                "phoneNumber": "+181633xxxxx"
            },
            "callingHours": {
                "frequency": "WEEKLY",
                "days": [
                    {
                        "start": "9:00 AM",
                        "end": "6:00 PM",
                        "day": "MO"
                    },
                    {
                        "start": "9:00 AM",
                        "end": "6:00 PM",
                        "day": "TU"
                    },
                    {
                        "start": "9:00 AM",
                        "end": "6:00 PM",
                        "day": "WE"
                    },
                    {
                        "start": "9:00 AM",
                        "end": "6:00 PM",
                        "day": "TH"
                    },
                    {
                        "start": "9:00 AM",
                        "end": "6:00 PM",
                        "day": "FR"
                    }
                ],
                "timezone": "Asia/Kolkata"
            },
            "dialingOrder": "FIFO",
            "maxAttemptsPerRecord": 3,
            "defaultRetryPeriod": 10,
            "maxRingTime": 30,
            "useSystemMappings": false
        },
        "status": "Ready",
        "isFiltersEnabled": false,
        "createdAt": "2025-12-04T10:50:56.762Z",
        "updatedAt": "2025-12-05T06:31:23.308Z",
        "schedule": {
            "isSchedulingEnabled": false,
            "isRecurrenceEnabled": false
        },
        "contactLists": [
            "CL Only 2020 Dec 4"
        ]
    }
}

Response Parameters

ParameterDescriptionType
statusIndicates the success or failure of the request.string
messageResponse message providing details about the result.string
dataObject containing the voice campaign details.object
data._idUnique identifier for the campaign. (UUID)string
data.nameDisplay name of the campaign.string
data.lnameLowercase or internal name of the campaign.string
data.descriptionDescription of the campaign objective and functionality.string
data.dncListsContains the contact lists added under the Do Not Call (DNC) list.object
data.dncLists.idUnique identifier of the contact list in the DNC list.string (UUID)
data.dncLists.nameThe name of the contact list included in the Do Not Call (DNC) list.string
data.priorityPriority level of the campaign.number
data.formatFormat of the campaign (for example, basic, advanced).string
data.dialingStrategyObject containing dialing strategy settings.object
data.dialingStrategy.callerId.phoneNumberPhone number used as the caller ID.string
data.dialingStrategy.callingHours.frequencyFrequency at which the campaign runs (for example, DAILY, WEEKLY).string
data.dialingStrategy.callingHours.timezoneTime zone used for the campaign’s calling hours.string
data.dialingStrategy.callingHours.daysArray of day-wise calling hour configurations.array
data.dialingStrategy.callingHours.days[].dayDay of the week when the campaign runs. (Enum)string
data.dialingStrategy.callingHours.days[].startStart time for campaign activity on the given day. (Time)string
data.dialingStrategy.callingHours.days[].endEnd time for campaign activity on the given day. (Time)string
data.experienceFlowID of the bot experience flow used in the campaign. (UUID)string
data.statusCurrent status of the campaign (for example, Ready, Stopped).string
data.createdAtISO timestamp when the campaign was created. (ISO 8601)string
data.updatedAtISO timestamp when the campaign was last updated. (ISO 8601)string
data.scheduleObject containing scheduling preferences.object
data.schedule.isSchedulingEnabledIndicates whether scheduling is enabled.boolean
data.schedule.isRecurrenceEnabledIndicates whether recurrence is enabled.boolean
data.campaignInstanceIdUnique identifier for the specific instance of the campaign. (UUID)string
data.contactListsList of contact group names associated with the campaign.array